Debian Bug report logs - #473835
schism: recommends packages not in main

version graph

Package: schism; Maintainer for schism is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for schism is src:schism.

Reported by: Amaya <amaya@debian.org>

Date: Tue, 1 Apr 2008 22:15:07 UTC

Severity: important

Tags: patch

Found in version schism/2:0+20080222-1

Fixed in version schism/2:0+20080403-1

Done: Gürkan Sengün <gurkan@phys.ethz.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#473835; Package schism. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: schism: recommends packages not in main
Date: Wed, 2 Apr 2008 00:08:03 +0200
[Message part 1 (text/plain, inline)]
Package: schism
Version: 2:0+20080222-1
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

I intend to *lovingly* NMU schism, as part of my effort to 
accomplish the following Release Goal for Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Even though 0-day NMUs are allowed, I will wait for two weeks for your answer
to this, and then upload upload to DELAYED/7 in order to give you plenty of
time for reaction.

You will find that my changes are minimal and address only this issue, unless
other release goal can be dealt with in the same upload.

Attached is the diff for my schism 2:0+20080222-1.1 NMU.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux
[schism-0+20080222-1.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#473835; Package schism. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #10 received at 473835@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Mark Brown <broonie@debian.org>
Cc: 473832@bugs.debian.org, 473839@bugs.debian.org, 473836@bugs.debian.org, 473835@bugs.debian.org, 473844@bugs.debian.org, 473842@bugs.debian.org, 473834@bugs.debian.org, 473833@bugs.debian.org, 473829@bugs.debian.org, 473831@bugs.debian.org
Subject: Re: Bug#473832: clc-intercal: recommends packages not in main
Date: Wed, 2 Apr 2008 01:37:35 +0200
Hey Mark!

First of all, thanks for your fast upload. You too, Mr Marillat!

Mark Brown wrote:
>  - File the actual bug, not your intention to NMU (ie, include the bug
>    report in the body of the bug rather than burying it in the patch).

Yes you are very right. I will change my wording.

>  - Provide some way for people to get information about this like
>    putting a list of affected packages on a web page and announcing it.
>    This would help avoid the need for an NMU campaign in the first
>    place.

That is work in progress. I am working on a wiki page, it will be ready
tomorrow. So far, I can only point you to:
    http://release.debian.org/lenny/goals.txt
    http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=debian-release@lists.debian.org&tag=goal-recommends
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    http://lists.debian.org/debian-qa/2008/04/msg00007.html (and
    answers).

The wiki page will group all this already available information so that
this is easier to track for everyone.

This is not an NMU campaign. I will definitely change the wording.
My original intention was to submit bug+patch, as agreed with Luk:
    <luk> amaya:
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in unstable) and
    http://qa.debian.org/debcheck.php?dist=lenny&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in testing)
    <amaya> luk: so what to do about these? should I file bugs?
    <luk> yes, file with the appropriate version if not already
    reported at least for the sid ones, identifying the lenny ones that
    are fixed in sid for extra bonus points :-)
    <amaya> luk: i see a lot of those will be fixed when my nmus leave
    the delayed queue
    <luk> great
    <amaya> luk: I will take a look and file appropriate bugs with
    patches, and nmu threats ;)
    <luk> even better!

I think we were both joking about nmus there. Sorry about the tone of my
bug report. I am Cc:ing the rest of maintainers that got this tasteless
report, so that they also forgive me.

> My first reponse to this was "WTF?  I only uploaded this yesterday and
> there weren't any bugs.", especially given that the report jumped right
> to "I'm about to NMU", skipping over what the actual problem was.

Well, no. I clearly said I would wait for two weeks for your response.
And *then* 7 more days in DELAYED. Mainly because some recommends have
become obsolete and I am not sure about the right replacements. I am
seeking actual advice, input, wisdom, from maintainers here :)

But you are right. I am sorry it came accross this way.

Thanks for your help! 

-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Reply sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 473835-close@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: 473835-close@bugs.debian.org
Subject: Bug#473835: fixed in schism 2:0+20080403-1
Date: Sun, 06 Apr 2008 10:47:08 +0000
Source: schism
Source-Version: 2:0+20080403-1

We believe that the bug you reported is fixed in the latest version of
schism, which is due to be installed in the Debian FTP archive:

schism_0+20080403-1.diff.gz
  to pool/main/s/schism/schism_0+20080403-1.diff.gz
schism_0+20080403-1.dsc
  to pool/main/s/schism/schism_0+20080403-1.dsc
schism_0+20080403-1_powerpc.deb
  to pool/main/s/schism/schism_0+20080403-1_powerpc.deb
schism_0+20080403.orig.tar.gz
  to pool/main/s/schism/schism_0+20080403.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473835@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gürkan Sengün <gurkan@phys.ethz.ch> (supplier of updated schism package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 06 Apr 2008 10:21:33 +0200
Source: schism
Binary: schism
Architecture: source powerpc
Version: 2:0+20080403-1
Distribution: unstable
Urgency: low
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Changed-By: Gürkan Sengün <gurkan@phys.ethz.ch>
Description: 
 schism     - ImpulseTracker clone aiming at providing the same look&feel
Closes: 473835
Changes: 
 schism (2:0+20080403-1) unstable; urgency=low
 .
   * New upstream version.
   * Remove Simon from Uploaders.
   * Updated my email address.
   * Recommend xmms2-plugin-modplug instead of xmms-modplug, which is no longer
     available. (Closes: #473835)
Files: 
 e49b51af7a1f092855657a9eed5a6473 796 sound optional schism_0+20080403-1.dsc
 457f4924c63cc750e5526e9a719f24f7 1571693 sound optional schism_0+20080403.orig.tar.gz
 614c5015bcdf0583502055d742bc1854 3866 sound optional schism_0+20080403-1.diff.gz
 8f2ea03888add567cf941b600c293f17 442082 sound optional schism_0+20080403-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+KaGGKDMjVcGpLQRAiFdAKC2xT7i/PpTBCvoyLHp5XUeMrHluQCdGYyJ
W5FWi84rqRXpi1TxfU8sIUA=
=9FxW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 May 2008 07:51:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:43:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.